# Python Databases
A flexible and extensible Python library that provides a unified interface for interacting with multiple types of databases.

---

## Features
- ✅ Unified interface for multiple database connectors
- ✅ Support for:
  - Elasticsearch
    - On-Premises deployments
    - Cloud deployments using `cloud_id`
  - PostgreSQL
    - Basic support with plans for SQLAlchemy integration

---

## Installation
```bash
pip install python-databases
```

---

## 📌 Roadmap

* [x] Elasticsearch support
  - [x] On-Premises deployments
  - [x] Cloud deployments using `cloud_id`
* [x] PostgreSQL
  - [ ] SQLAlchemy support

---

## 🤝 Contributing
If you have a helpful tool, pattern, or improvement to suggest:
Fork the repo <br>
Create a new branch <br>
Submit a pull request <br>
I welcome additions that promote clean, productive, and maintainable development. <br>

---

## 🙏 Thanks
Thanks for exploring this repository! <br>
Happy coding! <br>
